package com.cm.central.control.pojo.dtos.projectleader;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

/**
 *
 * @ClassName: ProjectLeaderDTO
 * @Description: 项目负责人
 * @Author: WenG
 * @Date: 2020-07-30 19:04
 * @Version: 1.0
 **/
@ApiModel
public class ProjectLeaderDTO {

    @ApiModelProperty(name = "projectLeaderId", value = "主键")
    private String projectLeaderId;
    @ApiModelProperty(name = "leaderName", value = "姓名")
    private String leaderName;
    @ApiModelProperty(name = "leaderUserId", value = "用户ID")
    private String leaderUserId;
    @ApiModelProperty(name = "leaderUserName", value = "用户昵称")
    private String leaderUserName;
    @ApiModelProperty(name = "leaderPhone", value = "手机")
    private String leaderPhone;
    @ApiModelProperty(name = "leaderEmail", value = "邮箱")
    private String leaderEmail;

    public String getProjectLeaderId() {
        return projectLeaderId == null ? "" : projectLeaderId.trim();
    }

    public void setProjectLeaderId(String projectLeaderId) {
        this.projectLeaderId = projectLeaderId;
    }

    public String getLeaderName() {
        return leaderName == null ? "" : leaderName.trim();
    }

    public void setLeaderName(String leaderName) {
        this.leaderName = leaderName;
    }

    public String getLeaderUserId() {
        return leaderUserId == null ? "" : leaderUserId.trim();
    }

    public void setLeaderUserId(String leaderUserId) {
        this.leaderUserId = leaderUserId;
    }

    public String getLeaderUserName() {
        return leaderUserName == null ? "" : leaderUserName.trim();
    }

    public void setLeaderUserName(String leaderUserName) {
        this.leaderUserName = leaderUserName;
    }

    public String getLeaderPhone() {
        return leaderPhone == null ? "" : leaderPhone.trim();
    }

    public void setLeaderPhone(String leaderPhone) {
        this.leaderPhone = leaderPhone;
    }

    public String getLeaderEmail() {
        return leaderEmail == null ? "" : leaderEmail.trim();
    }

    public void setLeaderEmail(String leaderEmail) {
        this.leaderEmail = leaderEmail;
    }

    @Override
    public String toString() {
        final StringBuilder sb = new StringBuilder("{");
        sb.append("\"projectLeaderId\":")
                .append("\"").append(projectLeaderId).append("\"");
        sb.append(",\"leaderName\":")
                .append("\"").append(leaderName).append("\"");
        sb.append(",\"leaderUserId\":")
                .append("\"").append(leaderUserId).append("\"");
        sb.append(",\"leaderUserName\":")
                .append("\"").append(leaderUserName).append("\"");
        sb.append(",\"leaderPhone\":")
                .append("\"").append(leaderPhone).append("\"");
        sb.append(",\"leaderEmail\":")
                .append("\"").append(leaderEmail).append("\"");
        sb.append('}');
        return sb.toString();
    }
}
